Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.core
Class MainWebSite

    java.lang.Object
      org.meshcms.core.WebSite
          org.meshcms.core.MainWebSite

public class MainWebSite
extends WebSite

Field Summary

Fields inherited from class org.meshcms.core.WebSite
`ADMIN_ID_FILE, ADMIN_THEME, adminModulesPath, adminPath, adminScriptsPath, adminThemePath, adminThemesPath, APP_NAME, BACKUP_DIR_PREFIX, BACKUP_PREFIX, CMS_ID_FILE, cmsPath, configFilePath, configuration, customModulesPath, customThemesPath, generatedFilesPath, lastAdminThemeBlock, moduleDataPath, privatePath, propertiesFilePath, repositoryPath, rootFile, rootPath, sc, siteInfo, siteMap, sitesFilePath, statsLength, statsZero, TEMP_PREFIX, usersPath, VERSION_ID, virtualSitesPath, welcomeFiles`

Constructor Summary
`MainWebSite()`

Method Summary
`protected static WebSite` | `create(javax.servlet.ServletContext sc, java.lang.String[] welcomeFiles, java.io.File rootFile, Path rootPath, Path cmsPath)` Creates a new main website.
`MultiSiteManager` | `getMultiSiteManager()` Returns the MultiSiteManager instance.
`java.lang.String` | `getTypeDescription()`
`VirtualWebSite` | `getVirtualSite(java.lang.String dirName)` Returns the virtual website instance related to the given directory name.
`WebSite` | `getWebSite(javax.servlet.ServletRequest request)` Returns the right website for the given request.
`protected void` | `init(javax.servlet.ServletContext sc, java.lang.String[] welcomeFiles, java.io.File rootFile, Path rootPath, Path cmsPath)` Initializes the website.
`void` | `updateSiteMap(boolean force)` Creates another instance of `SiteMap`.

Methods inherited from class org.meshcms.core.WebSite
`copyFile, copyFile, createDir, createDirectory, createFile, delete, findCurrentWelcome, getAbsoluteLink, getAbsoluteLink, getAdminMetaThemeTag, getAdminModulesPath, getAdminPath, getAdminScriptsPath, getAdminThemePath, getAdminThemesPath, getCMSPath, getConfigFilePath, getConfiguration, getCustomModulesPath, getCustomThemesPath, getDirectory, getDummyMetaThemeTag, getFile, getGeneratedFilesPath, getHTMLTemplate, getLastAdminThemeBlock, getLink, getLink, getLinkList, getModuleDataPath, getModulePath, getPath, getPrivatePath, getPropertiesFilePath, getRepositoryFile, getRepositoryPath, getRequestedPath, getRootFile, getRootPath, getServedPath, getServedPath, getServletContext, getSiteInfo, getSiteMap, getSitesFilePath, getStatsIndex, getStatsLength, getThemePath, getTitles, getUsersPath, getVirtualSitesPath, getWelcomeFileNames, isDirectory, isInsideModules, isInsideThemes, isSystem, isVirtual, isVisuallyEditable, isWelcomeFileName, loadFromXML, log, log, move, readConfig, rename, saveToFile, setFileTime, setLastAdminThemeBlock, storeToXML, toString, touch, wrapRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MainWebSite

    public MainWebSite()

Method Detail

### create

    protected static WebSite create(javax.servlet.ServletContext sc,
                                    java.lang.String[] welcomeFiles,
                                    java.io.File rootFile,
                                    Path rootPath,
                                    Path cmsPath)

  Creates a new main website.

### init

    protected void init(javax.servlet.ServletContext sc,
                        java.lang.String[] welcomeFiles,
                        java.io.File rootFile,
                        Path rootPath,
                        Path cmsPath)

  Initializes the website. After calling the method of the superclass, initializes the virtual websites.

  Overrides:
    `init` in class `WebSite`

### getWebSite

    public WebSite getWebSite(javax.servlet.ServletRequest request)

  Returns the right website for the given request. Since this is a main website, it will return the website itself or a virtual website, according to the requested host name.

  Overrides:
    `getWebSite` in class `WebSite`

### getTypeDescription

    public java.lang.String getTypeDescription()

  Overrides:
    `getTypeDescription` in class `WebSite`

### getVirtualSite

    public VirtualWebSite getVirtualSite(java.lang.String dirName)

  Returns the virtual website instance related to the given directory name. That instance will be created if not found, and will not fail if the directory does not exist (this is subject to change).

### getMultiSiteManager

    public MultiSiteManager getMultiSiteManager()

  Returns the MultiSiteManager instance.

### updateSiteMap

    public void updateSiteMap(boolean force)

  Description copied from class: `WebSite`
  Creates another instance of `SiteMap`. If `force` is true, a new site map is always created and the method returns after the new site map is completed. If it is false, a new site map is created only if the current one is too old. In this case, the site map is created asynchronously and the method returns immediately. The repository will be cleaned too.

  Overrides:
    `updateSiteMap` in class `WebSite`
  Parameters:
    `force` - it to force the SiteMap creation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD